package cn.newfeifan.mall.module.distri.controller.admin.duser.vo;

import cn.newfeifan.mall.module.distri.dal.dataobject.integral.IntegralDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 用户基础信息 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DuserInfoVO {


    @Schema(description = "用户积分信息", example = "IntegralDO")
    private IntegralDO integralDO;

    @Schema(description = "用户直推人人数", example = "88")
    private Integer descNo;

    @Schema(description = "团队昨日贡献值=直推奖+合赢奖", example = "88")
    private Integer descPrice;

    @Schema(description = "团队历史总贡献值=直推奖+合赢奖", example = "88")
    private Integer descTotalPrice;

}
