package cn.newfeifan.mall.module.distri.controller.admin.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 分销用户关系 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SharePathRespVO {

    @Schema(description = "层级")
    @ExcelProperty("层级")
    private Integer depth;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12537")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "推荐人")
    @ExcelProperty("推荐人")
    private Long ancestor;

    @Schema(description = "直推人")
    @ExcelProperty("直推人")
    private Long descendant;

    @Schema(description = "顺序")
    @ExcelProperty("顺序")
    private Integer sort;

}